<style>
a.data:link { color: #3cb371; }
a.data:visited { color: #3cb371; }
a.data:hover { color: #ff8c00; }
a.data:active { color: #dc143c; }
</style>
{% extends "layout.html" %}    <!-- これで元になるHTML(laytout.html)を指定 -->
{% block body %}    <!-- layout.htmlのbodyというブロックを以下で置き換える -->

    <div class="container">
      <div class="row align-items-center justify-content-center">
        <div class="col">
          <h1 style="margin-top: 0.5%; margin-bottom: 0%; font-size: 150%;"> <a href="/localdb/" style="color:rgba(0, 0, 0, 0.648);">Top Page</a> > <a href="/localdb/components" style="color:rgba(0, 0, 0, 0.648);">Component List</a>
            {% if component['qctest']['results'] %}
              > <a href='{{ url_for('component_api.show_component', id=component['_id'], collection='component' ) }}' style="color:rgba(0, 0, 0, 0.648);">Component</a> > QC Result
            {% elif component['property']['properties'] %}
              > <a href='{{ url_for('component_api.show_component', id=component['_id'], collection='component' ) }}' style="color:rgba(0, 0, 0, 0.648);">Component</a> > Module Property
            {% elif component['electrical']['results'] %}
              > <a href="/localdb/scan" style="color:rgba(0, 0, 0, 0.648);">Scan List</a> > <a href='{{ url_for('component_api.show_component', id=component['_id'], collection='component' ) }}' style="color:rgba(0, 0, 0, 0.648);">Component</a> > Scan Result
            {% else %}
              > Component
            {% endif %}
          </h1>
        </div>
      </div>
    </div>

    <div class="container">
        <div class="row align-items-top justify-content-left">
            <div class="col">

                {% if component['info'] %}
                  {% if component['info']['proID'] %}
                    <h1>Component: {{ component['info']['name'] }} &ensp;<a href='https://uuappg01-eu-w-1.plus4u.net/ucl-itkpd-maing01/dcb3f6d1f130482581ba1e7bbe34413c/componentView?code={{component["info"]["proID"]}}' target="_blank"
                      rel="noopener noreferrer"><i class="fa fa-external-link "></i> Component page of ITkPD</a></h1>
                  {% else %}
                    <h1>Component: {{ component['info']['name'] }}</h1>
                    <h4>
                    <font style="color:#dc143c;">
                      <i class="fa fa-warning "></i> Link to ITkPD is missing! Please re-download component IDs:
                      <a href="{{ url_for('user_api.download_component')}}"><button type="button" class="btn btn-outline-danger btn-sm">Download IDs</button></a>
                    </font>
                    </h4><br>
                  {% endif %}
                    {% if component["upload_result"]["uploading"] %}
                      <h4><i class="fa fa-refresh fa-spin "></i> Uploading QC-result process is running in background. Please reload to renew the status.</h4>
                      <h4><a href='https://uuappg01-eu-w-1.plus4u.net/ucl-itkpd-maing01/dcb3f6d1f130482581ba1e7bbe34413c/myTests' target="_blank"
                        rel="noopener noreferrer"><i class="fa fa-external-link "></i> You can check the uploaded results in ITkPD</a></h4><br>
                    {% elif component["upload_result"]["fail"] %}
                      <h2>
                      <font style="color:#dc143c;">
                        <i class="fa fa-warning "></i> Fail to upload a result of {{component["upload_result"]["fail"][0]}}: <a href="{{ url_for('component_api.show_component', id=component['_id'], collection=component['collection'], test='qctest', runId=component['upload_result']['fail'][1]) }}"><button type="button" class="btn btn-outline-danger">Show Result</button></a>
                      </font>
                      </h2>
                    {% endif %}

		                <h2>Current Stage: {{ component['info']['stage'] }}
                    {% if session['logged_in'] and component['info']['type'] == "module" %}
                      <a href="{{ url_for('component_api.set_stage', module=component["info"]["name"])}}"><button type="button" class="btn btn-primary" style="margin-left:10px;">Change Stage</button></a>
                      <a href="{{ url_for('component_api.result_transceiver', module=component["info"]["name"], stage='select')}}"><button type="button" class="btn btn-primary" style="margin-left:10px;"> Upload/Download QC-test results</button></a>
                      <!--<h2>
                      <a href="{{ url_for('component_api.customize_module', module=component["info"]["name"])}}"><button type="button" class="btn btn-primary" style="margin-left:10px;"><i class="fa fa-cog "></i> Customize Module Stage</button></a>
                      </h2> -->
                    {% endif %}
		                </h2>
                {% endif %}
                {% if component['electrical']['results'] %}
                    <h3>Result: {{ component['electrical']['results']['info']['runNumber'] }}</h3>
                {% endif %}
            </div>
        </div>
        <div class="row align-items-top justify-content-left">
            <div class="col-md-6">
                <!--h4 style='font-size: 10pt;'>
                  <i class="fa fa-file"></i> Component
                </h4-->
                <h4 style='font-size: 13pt;'><i class='fa fa-cog'></i> Information</h4>
                {% if component['info'] %}
                    <table class="table table-sm table-bordered" style="font-size: 8pt;">
                      <thead class="table-light">
                        <tr>
                          <th scope="col" class="text-left" width="100">Item</th>
                          <th scope="col" class="text-left">Value</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr>
                          <th scope="raw" class="text-left" width="100">
                            Serial Number
                          </th>
                          <td>
                            {{ component['info']['name'] }}
                          </td>
                        </tr>
                        <tr>
                          <th scope="raw" class="text-left" width="100">
                            Component Type
                          </th>
                          <td>
                            {{ component['info']['type'] }}
                          </td>
                        </tr>
                        <tr>
                          <th scope="raw" class="text-left" width="100">
                            FE type
                          </th>
                          <td>
                            {{ component['info']['chipType'] }}
                          </td>
                        </tr>
                        {% if component['info']['parents'] %}
                        <tr>
                          <th scope="raw" class="text-left" width="100">
                            Parents
                          </th>
                          <td>
                            {% for parent in component['info']['parents'] %}
                              <a href="{{ url_for('component_api.show_component', id=parent['_id'], collection=parent['collection']) }}">{{parent['name']}}</a>&ensp;
                            {% else %}
                              No match.
                            {% endfor %}
                          </td>
                        </tr>
                        {% endif %}
                        {% if component['info']['children'] %}
                        <tr>
                          <th scope="raw" class="text-left" width="100">
                            Children
                          </th>
                          <td>
                            {% for child in component['info']['children'] %}
                              <a href="{{ url_for('component_api.show_component', id=child['_id'], collection=child['collection']) }}">{{child['name']}}</a>&ensp;
                            {% else %}
                              No match.
                            {% endfor %}
                          </td>
                        </tr>
                        {% endif %}
                      </tbody>
                    </table>
                {% endif %}
                {% if session['logged_in'] and component['info']['type'] == "module" %}
                   <a href="{{ url_for('user_api.register_chipid', module=component["info"]["name"])}}"><button type="button" class="btn btn-primary">Re-arrange Chips</button></a>
                {% endif %}
            </div>
        </div>
        <br>
        <div class="row align-items-top justify-content-left">
          {% include "comment.html" %}
        </div>


        {% if component['electrical']['results'] %}
          <br>
          {% include "result.html" %}
        {% endif %}

        {% if component['electrical']['plots'] %}
          <br>
          {% include "plot.html" %}
        {% endif %}

        {% if component['electrical']['dcs'] %}
        <h4 style="font-size: 10pt;"><i class="fa fa-paint-brush"></i> DCS
          {% if not component['electrical']['dcs']['dcs_data_exist'] %}
            <font color="#ff0000" size="2">### NO DCS DATA ###</font>
          {% else %}
            <a href="{{ url_for('plot_dcs_api.show_dcs', runId=component['electrical']['results']['runId']) }}" target="_brank" rel="noopener noreferrer"> plot </a>
          {% endif %}
        </h4>
        {% endif %}

        {% if component['info']['qc'] %}

          {% if component['property']['properties'] %}
            <br>
            <h3><i class="fa fa-angle-double-right"></i> <b>TestType:{{ component['property']['properties']['testType'] }}</b> </h3>
            {% if component['property']['properties']['results'] %}
              <br>
              {% if component['property']['properties']['testType'] in component['property']['prop_item']['test'] %}
                {% include component['property']['prop_item']['html'][component['property']['properties']['testType']] %}
              {% endif %}
            {% else %}
              <br>
              <h4 style='font-size: 13pt;'>This result page is being constructed.</h4>
            {% endif %}
          {% endif %}

          {% if component['qctest']['results'] %}
            <br>
            <h3><i class="fa fa-angle-double-right"></i> <b>TestType:{{ component['qctest']['results']['testType'] }}</b> </h3>
            {% if component['qctest']['results']['results'] %}
              <br>
              {% if component['qctest']['results']['testType'] in component['qctest']['test_item']['test'] %}
                {% include component['qctest']['test_item']['html'][component['qctest']['results']['testType']] %}
              {% else %}
                {% include "qc_others.html" %}
              {% endif %}
            {% else %}
              <br>
              <h4 style='font-size: 13pt;'>This result page is being constructed.</h4>
            {% endif %}
          {% endif %}

          <hr>
          <!--h3><i class="fa fa-angle-double-right"></i> <b>Information for QC Tests</b> </h3>
          <br-->

          {% if component['latest_tests'] %}
            <br>
            {% include "latest_test_index.html" %}
          {% endif %}

          {% if component['summary'] %}
            <br>
            {% include "summary_index.html" %}
          {% endif %}

            <br>
            {% include "flow_image.html" %}
            <br>
            <br>

          <h2><i class="fa fa-cog"></i> Currently supported test items in this system</h2>
          <h4>
          <ul>
            {% for description in component['qctest']['test_item']['description']%}
              <li style="margin-left:2%">{{description}}</li>
            {% endfor %}
          </ul>
          </h4>

	  <hr>
	  <h2>All Test Records</h2>
          {% if component['property']['propIndex'] %}
            <br>
            {% include "moduleprop_index.html" %}
          {% endif %}

          {% if component['qctest']['resultIndex'] %}
            <br>
            {% include "qctest_index.html" %}
          {% endif %}
        {% endif %}

        {% if component['electrical']['resultIndex'] %}
          <br>
          {% include "test_index.html" %}
        {% endif %}

    <h5><a href='{{ url_for('component_api.show_component', id=component['_id'], collection='component' ) }}'>Back to top page of this component</a></h5>

    </div>
{% endblock %}
